var service = {
    settings: {
        ajaxUrl: ''
    },
    init: function() {
        service.initDataTable();
    },
    initDataTable: function() {

        var callBack = function() {
        };

        var dataList = jQ('#services-datalist').DataTable({
            'processing': true,
            'serverSide': true,
            'ajax': {
                'url': service.settings.ajaxUrl,
                'data': function(d) {
                    d.url = global.settings.url;
                    d.type = jQ('#type').val();
                }
            },
            'deferRender': true,
            'columnDefs': [
                { 'orderable': false, 'targets': 2 },
                { 'searchable': false, 'targets': 2 }
            ],
            drawCallback: function() {
                callBack();
            },
            responsive: {
                details: {
                    renderer: function( api,rowIdx ) {
                        return global.dataTableResponsiveCallBack(api, rowIdx, callBack);
                    }
                }
            }
        });

        jQ('#type').on('change', function(){
            dataList.draw();
        });

        jQ('.content-container').removeClass('has-loading');
        jQ('.content-container-content').removeClass('hide');
    }
};